Skip to main content

Create an appointment for a resident

POSThttps://api.propexo.com/v1/events/appointments/residents

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    resident_idstring

    The Propexo unique identifier for the resident

    appointment_datestring

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestring

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    employee_idstring

    The Propexo unique identifier for the employee

    statusstring

    The raw status associated with the event

    Show 4 enum values
    COMPLETEDOPENREVIEWDENIED
    notesstring

    Notes associated with the event

    appointment_duration_minutesinteger

    The duration of the appointment, in minutes

    Possible values: > 0

    titlestring

    The title associated with the event

    Possible values: <= 50 characters

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/appointments/residents
curl -X POST https://api.propexo.com/v1/events/appointments/residents \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}